<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY taglib-download-http "https://taglib.org/releases/taglib-&taglib-version;.tar.gz">
  <!ENTITY taglib-download-ftp  " ">
  <!ENTITY taglib-md5sum        "95edea13107ac4cc07b7ad4bd1cb5cd1">
  <!ENTITY taglib-size          "1.4 MB">
  <!ENTITY taglib-buildsize     "16 MB">
  <!ENTITY taglib-time          "0.1 SBU (Using parallelism=4)">
]>

<sect1 id="taglib" xreflabel="taglib-&taglib-version;">
  <?dbhtml filename="taglib.html"?>


  <title>Taglib-&taglib-version;</title>

  <indexterm zone="taglib">
    <primary sortas="a-Taglib">Taglib</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Taglib</title>

    <para>
      <application>Taglib</application> is a library used for reading,
      writing and manipulating audio file tags and is used by applications
      such as <application>VLC</application>.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&taglib-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&taglib-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &taglib-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &taglib-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &taglib-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &taglib-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Taglib Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="cmake"/> and
      <xref linkend="utfcpp"/>
    </para>

    <bridgehead renderas="sect4">Optional (for tests)</bridgehead>
    <para role="optional">
      <ulink url='https://freedesktop.org/wiki/Software/cppunit/'>Cppunit</ulink>
    </para>
  </sect2>

  <sect2 role="installation">
    <title>Installation of Taglib</title>

    <para>
      Install <application>Taglib</application> by running the
      following commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

cmake -D CMAKE_INSTALL_PREFIX=/usr \
      -D CMAKE_BUILD_TYPE=Release  \
      -D BUILD_SHARED_LIBS=ON \
      .. &amp;&amp;
make</userinput></screen>

    <para>
      The test suite requires <application>Cppunit</application> but it's
      not a BLFS package.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          taglib-config
        </seg>
        <seg>
          libtag.so and libtag_c.so
        </seg>
        <seg>
          /usr/include/taglib
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

     <varlistentry id="taglib-config">
        <term><command>taglib-config</command></term>
        <listitem>
          <para>
            is a tool used to print information about the taglib installation
          </para>
          <indexterm zone="taglib taglib-config">
            <primary sortas="b-taglib-config">taglib-config</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
